Anonymous Login
2019-10-17 23:50 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000145v1.1 Release (Closed)[All Projects] Generalpublic2009-09-09 22:37
Reportercaseydk 
Assigned Tocaseydk 
PriorityhighSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version1.1 
Summary0000145: Id generation for Custom Fields
DescriptionIn /classes/CustomFields.class.php around lines 76-80, the Custom Fields class itself calculates the next available primary key for the table using a "max(value_id)" structure. While this should always work, it's kind of silly to do... the underlying value_id field is an auto_increment so the database should handle this.
Additional InformationIf this was consistent behavior across all classes, I wouldn't note this as a problem but as is, this method of id calculation is only used in this single class.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000301

caseydk (administrator)

Last edited: 2009-06-13 20:08

Resolved in r440;

~0000430

caseydk (administrator)

Closed for release.
+Notes

-Issue History
Date Modified Username Field Change
2009-04-30 05:33 caseydk New Issue
2009-06-07 21:07 caseydk Project Pending Requests => v1.1 Release (Closed)
2009-06-11 06:34 caseydk Status new => assigned
2009-06-11 06:34 caseydk Assigned To => caseydk
2009-06-13 20:08 caseydk Status assigned => resolved
2009-06-13 20:08 caseydk Resolution open => fixed
2009-06-13 20:08 caseydk Note Added: 0000301
2009-06-13 20:08 caseydk Note Edited: 0000301
2009-09-09 22:37 caseydk Status resolved => closed
2009-09-09 22:37 caseydk Note Added: 0000430
2009-09-09 22:37 caseydk Fixed in Version => 1.1
+Issue History